# Copyright 1999-2014 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: $

NOVELL_BUILDID="23yZ-f32-A0~"
NOVELL_FILE32="patchfiles/gw12.0.2_full_linux_multi.tar.gz"
GWVERSION="12.0.2-108211"
RESTRICT="mirror strip"

inherit novell eutils rpm java-utils-2 versionator

MY_PV=$(replace_version_separator 3 '-')

DESCRIPTION="Novell NDS Filterd Replica Snapins"
HOMEPAGE="http://www.novell.com"
SRC_URI="http://${NOVELL_ACCOUNT_USERNAME}:${NOVELL_ACCOUNT_PASSWORD}@cdn.novell.com/prot/${NOVELL_BUILDID}/${NOVELL_FILE32}"
LICENSE="Novell-eDir-87"
SLOT="0"
KEYWORDS="~x86 ~amd64"
IUSE="linguas_de linguas_es linguas_fr linguas_it linguas_ja linguas_pt linguas_ru"
DEPEND=""
RDEPEND="virtual/libc
	>=virtual/jre-1.6
	>=app-admin/netiq-novlc1-1.3.6_p1"

src_unpack() {
	unpack ${A}
	mkdir -p "${WORKDIR}"/${PN}-${MY_PV}
	cd ${PN}-${MY_PV}
	rpm_unpack ../work/gw${GWVERSION}_full_linux_multi/consoleone/Linux/NDSsfrep-${MY_PV}.i386.rpm
	use linguas_de && rpm_unpack ../work/gw${GWVERSION}_full_linux_multi/consoleone/Linux/NDSsfrep_de-${MY_PV}.i386.rpm
	use linguas_es && rpm_unpack ../work/gw${GWVERSION}_full_linux_multi/consoleone/Linux/NDSsfrep_es-${MY_PV}.i386.rpm
	use linguas_fr && rpm_unpack ../work/gw${GWVERSION}_full_linux_multi/consoleone/Linux/NDSsfrep_fr-${MY_PV}.i386.rpm
	use linguas_it && rpm_unpack ../work/gw${GWVERSION}_full_linux_multi/consoleone/Linux/NDSsfrep_it-${MY_PV}.i386.rpm
	use linguas_pt && rpm_unpack ../work/gw${GWVERSION}_full_linux_multi/consoleone/Linux/NDSsfrep_pt-${MY_PV}.i386.rpm
	use linguas_ru && rpm_unpack ../work/gw${GWVERSION}_full_linux_multi/consoleone/Linux/NDSsfrep_ru-${MY_PV}.i386.rpm
}

src_compile() { :; }

src_install() {
	java-pkg_jarinto /usr/ConsoleOne/lib/dirxml
	java-pkg_dojar "${WORKDIR}"/${PN}-${MY_PV}/usr/ConsoleOne/lib/dirxml/*.jar
	java-pkg_jarinto /usr/ConsoleOne/snapins/dirxml
	java-pkg_dojar "${WORKDIR}"/${PN}-${MY_PV}/usr/ConsoleOne/snapins/dirxml/FilteredReplica.jar
	java-pkg_dojar "${WORKDIR}"/${PN}-${MY_PV}/usr/ConsoleOne/snapins/dirxml/rwiz.jar
	if use linguas_de || use linguas_es || use linguas_fr || use linguas_it || use linguas_pt || use linguas_ru ; then
	    java-pkg_jarinto /usr/ConsoleOne/resources/dirxml
	    use linguas_de && java-pkg_dojar "${WORKDIR}"/${PN}-${MY_PV}/usr/ConsoleOne/snapins/dirxml/*_de.jar
	    use linguas_es && java-pkg_dojar "${WORKDIR}"/${PN}-${MY_PV}/usr/ConsoleOne/snapins/dirxml/*_es.jar
	    use linguas_fr && java-pkg_dojar "${WORKDIR}"/${PN}-${MY_PV}/usr/ConsoleOne/snapins/dirxml/*_fr.jar
	    use linguas_it && java-pkg_dojar "${WORKDIR}"/${PN}-${MY_PV}/usr/ConsoleOne/snapins/dirxml/*_it.jar
	    use linguas_pt && java-pkg_dojar "${WORKDIR}"/${PN}-${MY_PV}/usr/ConsoleOne/snapins/dirxml/*_pt.jar
	    use linguas_ru && java-pkg_dojar "${WORKDIR}"/${PN}-${MY_PV}/usr/ConsoleOne/snapins/dirxml/*_ru.jar
	fi

	insinto /usr/ConsoleOne/help
	doins -r "${WORKDIR}"/${PN}-${MY_PV}/usr/ConsoleOne/help/*
}

pkg_nofetch() {
	einfo "This files require you to register at ${HOMEPAGE} (free account)"
	einfo "Please download following file:"
	einfo " - ${NOVELL_FILE32}"
	einfo "from http://download.novell.com/Download?buildid=${NOVELL_BUILDID}"
	einfo "and place it in ${DISTDIR}"
	einfo ""
	einfo "To get rid of downloading files from ${HOMEPAGE}"
	einfo "you can create a file /etc/portage/novell.acc"
	einfo "containing the novell account infos with following commands"
	einfo "# echo \"NOVELL_ACCOUNT_USERNAME=\\\"balduin\\\"\" >> /etc/portage/novell.acc"
	einfo "# echo \"NOVELL_ACCOUNT_PASSWORD=\\\"derfisch\\\"\" >> /etc/portage/novell.acc"
}
