# Copyright 1999-2014 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: $

NOVELL_BUILDID="23yZ-f32-A0~"
NOVELL_FILE32="patchfiles/gw12.0.2_full_linux_multi.tar.gz"
GWVERSION="12.0.2-108211"
RESTRICT="mirror strip"

inherit novell eutils rpm java-utils-2 versionator

MY_PV=$(replace_version_separator 3 '-')

DESCRIPTION="Novell SLP ConsoleOne Snapins"
HOMEPAGE="http://www.novell.com"
SRC_URI="http://${NOVELL_ACCOUNT_USERNAME}:${NOVELL_ACCOUNT_PASSWORD}@cdn.novell.com/prot/${NOVELL_BUILDID}/${NOVELL_FILE32}"
LICENSE="Novell-eDir-87"
SLOT="0"
KEYWORDS="~x86 ~amd64"
IUSE="linguas_fr"
DEPEND=""
RDEPEND="virtual/libc
	>=virtual/jre-1.6
	>=app-admin/netiq-novlc1-1.3.6_p1"

src_unpack() {
	unpack ${A}
	mkdir -p "${WORKDIR}"/${PN}-${MY_PV}
	cd ${PN}-${MY_PV}
	rpm_unpack ../work/gw${GWVERSION}_full_linux_multi/consoleone/Linux/NDSsslp-${MY_PV}.i386.rpm
	use linguas_fr && rpm_unpack ../work/gw${GWVERSION}_full_linux_multi/consoleone/Linux/NDSsslp_fr-${MY_PV}.i386.rpm
}

src_compile() { :; }

src_install() {
	java-pkg_jarinto /usr/ConsoleOne/lib/slpda
	java-pkg_dojar "${WORKDIR}"/${PN}-${MY_PV}/usr/ConsoleOne/lib/slpda/*.jar
	java-pkg_jarinto /usr/ConsoleOne/snapins/slpda
	java-pkg_dojar "${WORKDIR}"/${PN}-${MY_PV}/usr/ConsoleOne/snapins/slpda/*.jar
	java-pkg_jarinto /usr/ConsoleOne/resources/slpda
	java-pkg_dojar "${WORKDIR}"/${PN}-${MY_PV}/usr/ConsoleOne/resources/slpda/*.jar
	insinto /usr/ConsoleOne/help
	doins -r "${WORKDIR}"/${PN}-${MY_PV}/usr/ConsoleOne/help/*
}

pkg_nofetch() {
	einfo "This files require you to register at ${HOMEPAGE} (free account)"
	einfo "Please download following file:"
	einfo " - ${NOVELL_FILE32}"
	einfo "from http://download.novell.com/Download?buildid=${NOVELL_BUILDID}"
	einfo "and place it in ${DISTDIR}"
	einfo ""
	einfo "To get rid of downloading files from ${HOMEPAGE}"
	einfo "you can create a file /etc/portage/novell.acc"
	einfo "containing the novell account infos with following commands"
	einfo "# echo \"NOVELL_ACCOUNT_USERNAME=\\\"balduin\\\"\" >> /etc/portage/novell.acc"
	einfo "# echo \"NOVELL_ACCOUNT_PASSWORD=\\\"derfisch\\\"\" >> /etc/portage/novell.acc"
}
