# Copyright 1999-2014 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: $

NOVELL_BUILDID="ECsStzUZ094~"
NOVELL_FILE32="patchfiles/nfs30sp7.exe"
RESTRICT="mirror strip"

inherit novell eutils java-utils-2

DESCRIPTION="Novell NDS Import/Export Assistent 85.00.00 Snap-in"
HOMEPAGE="http://www.novell.com"
SRC_URI="http://${NOVELL_ACCOUNT_USERNAME}:${NOVELL_ACCOUNT_PASSWORD}@cdn.novell.com/prot/${NOVELL_BUILDID}/${NOVELL_FILE32}"

LICENSE="Novell-ConsoleOne-SnapIn"
SLOT="0"
KEYWORDS="~x86 ~amd64"
IUSE=""

DEPEND=">=app-arch/p7zip-4.15
	app-arch/unzip"

RDEPEND="virtual/libc
	>=virtual/jre-1.6
	>=app-admin/netiq-novlc1-1.3.6_p1"

src_unpack() {
	cd "${WORKDIR}"
	7z x "${DISTDIR}"/nfs30sp7.exe
	unpack ../work/nfs30sp7/Nfs30.zip
}

src_compile() { :; }

src_install() {
	java-pkg_jarinto /usr/ConsoleOne/lib/nisnfs
	java-pkg_dojar "${WORKDIR}"/public/mgmt/consoleone/1.2/lib/nisnfs/*.jar
	java-pkg_jarinto /usr/ConsoleOne/resources/nisnfs
	java-pkg_dojar "${WORKDIR}"/public/mgmt/consoleone/1.2/resources/nisnfs/*.jar
	java-pkg_jarinto /usr/ConsoleOne/snapins/nisnfs
	java-pkg_dojar "${WORKDIR}"/public/mgmt/consoleone/1.2/snapins/nisnfs/*.jar
	insinto /usr/ConsoleOne/help
	doins -r "${WORKDIR}"/public/mgmt/consoleone/1.2/help/*
}

pkg_nofetch() {
	einfo "This files require you to register at ${HOMEPAGE} (free account)"
	einfo "Please download following file:"
	einfo " - ${NOVELL_FILE32}"
	einfo "from http://download.novell.com/Download?buildid=${NOVELL_BUILDID}"
	einfo "and place it in ${DISTDIR}"
	einfo ""
	einfo "To get rid of downloading files from ${HOMEPAGE}"
	einfo "you can create a file /etc/portage/novell.acc"
	einfo "containing the novell account infos with following commands"
	einfo "# echo \"NOVELL_ACCOUNT_USERNAME=\\\"balduin\\\"\" >> /etc/portage/novell.acc"
	einfo "# echo \"NOVELL_ACCOUNT_PASSWORD=\\\"derfisch\\\"\" >> /etc/portage/novell.acc"
}
