# Copyright 1999-2014 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: $

NOVELL_BUILDID="dpIR3H1ymhk~"
NOVELL_FILE32="NW65SP8.zip"
NOVELL_JLDAP="novell-jldap-devel-2009.10.07-1unix.tar.gz"
RESTRICT="mirror strip"

inherit novell eutils java-utils-2

DESCRIPTION="Novell Secure RemoteConsole Snap-in"
HOMEPAGE="http://www.novell.com"
SRC_URI="http://${NOVELL_ACCOUNT_USERNAME}:${NOVELL_ACCOUNT_PASSWORD}@cdn.novell.com/prot/${NOVELL_BUILDID}/${NOVELL_FILE32}
	ftp://sdk.provo.novell.com/ndk/jldap/builds/unix/${NOVELL_JLDAP}
	http://www.novell.com/coolsolutions/tools/downloads/icons.tar.gz"

LICENSE="Novell-ConsoleOne-SnapIn"
SLOT="0"
KEYWORDS="~x86 ~amd64"
IUSE=""

DEPEND="app-arch/unzip"

RDEPEND="virtual/libc
	>=virtual/jre-1.6
	>=app-admin/netiq-novlc1-1.3.6_p1
	dev-java/javahelp"

S=${WORKDIR}

src_unpack() {
	unpack ${A}
	cd "${S}"
	unzip -o "${WORKDIR}"/NW65SP8/SYS/SYSZIP/RCONJ.ZIP || die "unpacking"
	java-pkg_addcp /usr/ConsoleOne/ConsoleOneExt
	java-pkg_addcp /usr/ConsoleOne/help
	java-pkg_jar-from javahelp
}

src_compile() { :; }

src_install() {
	java-pkg_jarinto /usr/ConsoleOne/lib/rconsolej
	java-pkg_dojar "${WORKDIR}"/public/mgmt/ConsoleOne/1.2/lib/*.*
	java-pkg_dojar "${WORKDIR}"/novell-jldap-devel-2009.10.07-1unix/lib/*.jar
	java-pkg_jarinto /usr/ConsoleOne/resources/rconsolej
	java-pkg_dojar "${WORKDIR}"/public/mgmt/ConsoleOne/1.2/resources/*.jar
	java-pkg_jarinto /usr/ConsoleOne/snapins/rconsolej
	java-pkg_dojar "${WORKDIR}"/public/mgmt/ConsoleOne/1.2/snapins/*.jar
	insinto /usr/ConsoleOne/help
	doins -r "${WORKDIR}"/public/mgmt/ConsoleOne/1.2/Help/*
	into /usr/ConsoleOne
	java-pkg_dolauncher rconj --main com.novell.application.securerconsolej.RConsoleJApplication

	doicon "${WORKDIR}"/icons/rconj.png
	make_desktop_entry /usr/ConsoleOne/bin/rconj "Secure RemoteConsole" rconj.png Network
}

pkg_nofetch() {
	einfo "This files require you to register at ${HOMEPAGE} (free account)"
	einfo "Please download following file:"
	einfo " - ${NOVELL_FILE32}"
	einfo "from http://download.novell.com/Download?buildid=${NOVELL_BUILDID}"
	einfo "and"
	einfo " - ${NOVELL_JLDAP}"
	einfo "from http://www.novell.com/developer/ndk/ldap_classes_for_java.html"
	einfo "and"
	einfo " - icons.tar.gz"
	einfo "from http://www.novell.com/coolsolutions/tools/14953.html"
	einfo "and place it in ${DISTDIR}"
	einfo ""
	einfo "To get rid of downloading files from ${HOMEPAGE}"
	einfo "you can create a file /etc/portage/novell.acc"
	einfo "containing the novell account infos with following commands"
	einfo "# echo \"NOVELL_ACCOUNT_USERNAME=\\\"balduin\\\"\" >> /etc/portage/novell.acc"
	einfo "# echo \"NOVELL_ACCOUNT_PASSWORD=\\\"derfisch\\\"\" >> /etc/portage/novell.acc"
}

