# Copyright 1999-2011 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: $

EAPI=1

NOVELL_BUILDID32="pnMbR9EB7wo~"
NOVELL_FILE32="patchfiles/edir8863.tar.gz"
NOVELL_BUILDID64="pnMbR9EB7wo~"
NOVELL_FILE64="patchfiles/edir8863.tar.gz"
RESTRICT="mirror strip"

inherit novell eutils rpm versionator

MY_PVV=$(replace_version_separator 3 '-')
MY_PV="${MY_PVV/_p/_}"

DESCRIPTION="Novell Certificate Server"
HOMEPAGE="http://www.novell.com"
SRC_URI="x86? ( http://${NOVELL_ACCOUNT_USERNAME}:${NOVELL_ACCOUNT_PASSWORD}@cdn.novell.com/prot/${NOVELL_BUILDID32}/${NOVELL_FILE32} )
        amd64? ( http://${NOVELL_ACCOUNT_USERNAME}:${NOVELL_ACCOUNT_PASSWORD}@cdn.novell.com/prot/${NOVELL_BUILDID64}/${NOVELL_FILE64} )"

LICENSE="Novell-eDir-88"
SLOT="8.8"
KEYWORDS="~amd64 ~x86"
IUSE=""

DEPEND=""

RDEPEND="virtual/libc
	>=app-crypt/netiq-nici-2.7.3_p001
	net-nds/netiq-nldapsdk:8.8
	net-nds/netiq-ndsbase:8.8"

src_unpack() {
        cd "${WORKDIR}"
        unpack  ${A}
        mkdir -p "${WORKDIR}"/${PN}-${MY_PV}
        cd ${PN}-${MY_PV}
        if use x86
        then
            narch=i586
            nlib=lib
            ndir=Linux
            rpm_unpack ../work/edir8863/${ndir}/${PN}.${narch}.rpm
        elif use amd64
        then
            narch=x86_64
            nlib=lib64
            ndir=Linux64
            rpm_unpack ../work/edir8863/${ndir}/${PN}.${narch}.rpm
        fi
}

src_compile() { :; }

src_install() {
	dosym . /opt/novell/eDirectory/$(get_libdir)/nds-modules/$(get_libdir)
	into /opt/novell/eDirectory/$(get_libdir)/nds-modules
	dolib.so "${WORKDIR}"/${PN}-${MY_PV}/opt/novell/eDirectory/${nlib}/nds-modules/*
	rm "${D}"/opt/novell/eDirectory/$(get_libdir)/nds-modules/$(get_libdir)
	insinto /opt/novell/eDirectory/$(get_libdir)/nds-schema
	doins "${WORKDIR}"/${PN}-${MY_PV}/opt/novell/eDirectory/${nlib}/nds-schema/*
	doman "${WORKDIR}"/${PN}-${MY_PV}/opt/novell/man/*/*.*
}

pkg_nofetch() {
	einfo "This files require you to register at ${HOMEPAGE} (free account)"
	einfo "Please download following file:"
	einfo " - ${NOVELL_FILE32}"
	einfo "from http://download.novell.com/Download?buildid=${NOVELL_BUILDID}"
	einfo "and place it in ${DISTDIR}"
	einfo ""
	einfo "To get rid of downloading files from ${HOMEPAGE}"
	einfo "you can create a file /etc/portage/novell.acc"
	einfo "containing the novell account infos with following commands"
	einfo "# echo \"NOVELL_ACCOUNT_USERNAME=\\\"balduin\\\"\" >> /etc/portage/novell.acc"
	einfo "# echo \"NOVELL_ACCOUNT_PASSWORD=\\\"derfisch\\\"\" >> /etc/portage/novell.acc"
}
