# Copyright 1999-2009 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: $

EAPI="2"

NOVELL_BUILDID="UHtCwrcer5c~"
NOVELL_FILE32="patchfiles/sdidiag-2-2.i586.rpm"
RESTRICT="mirror strip"

inherit novell eutils rpm versionator

MY_PV=$(replace_version_separator 1 '-')

DESCRIPTION="Novell Modules for Login Script Procssing"
HOMEPAGE="http://www.novell.com"
SRC_URI="http://${NOVELL_ACCOUNT_USERNAME}:${NOVELL_ACCOUNT_PASSWORD}@cdn.novell.com/prot/${NOVELL_BUILDID}/${NOVELL_FILE32}"

LICENSE="Novell-eDir-87"
SLOT="0"
KEYWORDS="~x86 ~amd64"
IUSE=""

DEPEND=">=app-arch/p7zip-4.15"

RDEPEND="virtual/libc
	>=app-crypt/netiq-nici-2.7.3_p12
	net-nds/netiq-ndsbase:8.7
	net-misc/netiq-ntls:8.7
	sys-libs/libstdc++-v3"

src_unpack() {
	mkdir -p "${WORKDIR}"/${PN}-${MY_PV}
	cd ${PN}-${MY_PV}
	rpm_unpack ../distdir/sdidiag-${MY_PV}.i586.rpm
}

src_compile() { :; }

src_install() {
	into /opt/novell
	dobin "${WORKDIR}"/${PN}-${MY_PV}/opt/novell/bin/*
}

pkg_nofetch() {
	einfo "This files require you to register at ${HOMEPAGE} (free account)"
	einfo "Please download following file:"
	if use x86
	then
	    einfo " - ${NOVELL_FILE32}"
	elif use amd64
	then
	    einfo " - ${NOVELL_FILE64}"
	fi
	einfo "from http://download.novell.com/Download?buildid=${NOVELL_BUILDID}"
	einfo "and place it in ${DISTDIR}"
	einfo ""
	einfo "To get rid of downloading files from ${HOMEPAGE}"
	einfo "you can create a file /etc/portage/novell.acc"
	einfo "containing the novell account infos with following commands"
	einfo "# echo \"NOVELL_ACCOUNT_USERNAME=\\\"balduin\\\"\" >> /etc/portage/novell.acc"
	einfo "# echo \"NOVELL_ACCOUNT_PASSWORD=\\\"derfisch\\\"\" >> /etc/portage/novell.acc"
}
