# Copyright 1999-2011 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: $

EAPI="1"

NOVELL_BUILDID32="pnMbR9EB7wo~"
NOVELL_FILE32="patchfiles/edir8863.tar.gz"
NOVELL_BUILDID64="pnMbR9EB7wo~"
NOVELL_FILE64="patchfiles/edir8863.tar.gz"
RESTRICT="mirror strip"

inherit novell eutils rpm multilib versionator

MY_PV=$(replace_version_separator 4 '-')

DESCRIPTION="Novell iMonitor Utility"
HOMEPAGE="http://www.novell.com"
SRC_URI="x86? ( http://${NOVELL_ACCOUNT_USERNAME}:${NOVELL_ACCOUNT_PASSWORD}@cdn.novell.com/prot/${NOVELL_BUILDID32}/${NOVELL_FILE32} )
        amd64? ( http://${NOVELL_ACCOUNT_USERNAME}:${NOVELL_ACCOUNT_PASSWORD}@cdn.novell.com/prot/${NOVELL_BUILDID64}/${NOVELL_FILE64} )"

LICENSE="Novell-eDir-88"
SLOT="8.8"
KEYWORDS="~x86 ~amd64"
IUSE="linguas_fr"

DEPEND=""

RDEPEND="virtual/libc
	>=app-crypt/netiq-nici-2.6.4_p005
	net-nds/netiq-ndsbase:8.8
	net-nds/netiq-novllmgnt:8.8
	net-nds/netiq-novlxis:8.8
	net-nds/netiq-ndsserv:8.8"

src_unpack() {
        cd "${WORKDIR}"
        unpack ${A}    
        if use x86     
        then           
            narch=i586 
            nlib=lib   
            ndir=Linux
        elif use amd64 
        then           
            narch=x86_64
            nlib=lib64  
            ndir=Linux64
        fi              
        mkdir -p "${WORKDIR}"/${PN}-${MY_PV}
        cd ${PN}-${MY_PV}                   
        rpm_unpack ../work/edir8863/${ndir}/novell-NDSimon.${narch}.rpm
}

src_compile() { :; }

src_install() {
        insinto /etc/opt/novell/eDirectory/conf
        doins "${WORKDIR}"/${PN}-${MY_PV}/etc/opt/novell/eDirectory/conf/*.*
        into /opt/novell/eDirectory/
        dobin "${WORKDIR}"/${PN}-${MY_PV}/opt/novell/eDirectory/bin/*

        dosym . /opt/novell/eDirectory/$(get_libdir)/nds-modules/$(get_libdir)
        into /opt/novell/eDirectory/$(get_libdir)/nds-modules
        dolib.so "${WORKDIR}"/${PN}-${MY_PV}/opt/novell/eDirectory/${nlib}/nds-modules/*
        rm "${D}"/opt/novell/eDirectory/$(get_libdir)/nds-modules/$(get_libdir)


	insinto /opt/novell/eDirectory/$(get_libdir)/ndsimon/public/css
	doins "${WORKDIR}"/${PN}-${MY_PV}/opt/novell/eDirectory/${nlib}/ndsimon/public/css/*.css
	insinto /opt/novell/eDirectory/$(get_libdir)/ndsimon/public/images
	doins "${WORKDIR}"/${PN}-${MY_PV}/opt/novell/eDirectory/${nlib}/ndsimon/public/images/*.gif
	insinto /opt/novell/eDirectory/$(get_libdir)/ndsimon/public/javascript
	doins "${WORKDIR}"/${PN}-${MY_PV}/opt/novell/eDirectory/${nlib}/ndsimon/public/javascript/*.js
	insinto /opt/novell/eDirectory/$(get_libdir)/nds-modules/lang
	doins -r "${WORKDIR}"/${PN}-${MY_PV}/opt/novell/eDirectory/${nlib}/nds-modules/lang/*
        doman "${WORKDIR}"/${PN}-${MY_PV}/opt/novell/man/*/*.gz
        use linguas_fr && doman -i18n=fr "${WORKDIR}"/${PN}-${MY_PV}/opt/novell/man/fr/*/*.gz
}

pkg_nofetch() {
	einfo "This files require you to register at ${HOMEPAGE} (free account)"
	einfo "Please download following file:"
	einfo " - ${NOVELL_FILE32}"
	einfo "from http://download.novell.com/Download?buildid=${NOVELL_BUILDID}"
	einfo "and place it in ${DISTDIR}"
	einfo ""
	einfo "To get rid of downloading files from ${HOMEPAGE}"
	einfo "you can create a file /etc/portage/novell.acc"
	einfo "containing the novell account infos with following commands"
	einfo "# echo \"NOVELL_ACCOUNT_USERNAME=\\\"balduin\\\"\" >> /etc/portage/novell.acc"
	einfo "# echo \"NOVELL_ACCOUNT_PASSWORD=\\\"derfisch\\\"\" >> /etc/portage/novell.acc"
}
